Bug 822869 (CVE-2012-2375)

Summary: CVE-2012-2375 kernel: incomplete fix for CVE-2011-4131
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, antillon.maurizio, anton, arozansk, bhu, davej, dhoward, fhrbata, gansalmon, itamar, jforbes, jkacur, jonathan, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, plougher, rt-maint, sforsber, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120322,reported=20120329,source=redhat,cvss2=4.6/AV:A/AC:H/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6.2.z/kernel=affected,rhel-6.3.z/kernel=affected,rhel-6.4/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-24 01:24:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 811794, 822871, 822872, 822873, 822874, 837350    
Bug Blocks: 746922    

Description Petr Matousek 2012-05-18 07:12:40 EDT
The fix for CVE-2011-4131 was not complete. Malicious NFS server could still crash the clients when returns more than 2 GETATTR bitmap words in response to the FATTR4_ACL attribute request.

Upstream fixes:
20e0fa98b751facf9a1101edaefbc19c82616a68
5794d21ef4639f0e33440927bb903f9598c21e92
5a00689930ab975fdd1b37b034475017e460cf2a
Comment 3 Petr Matousek 2012-05-18 07:17:13 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 822874]
Comment 4 Kurt Seifried 2012-05-18 13:42:38 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/05/18/13
Comment 5 Fedora Update System 2012-05-26 18:24:42 EDT
kernel-3.3.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-26 21:50:20 EDT
kernel-3.3.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-06-22 04:38:07 EDT
kernel-2.6.43.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Murray McAllister 2012-12-17 23:49:43 EST
Acknowledgements:

This issue was discovered by Jian Li of Red Hat.
Comment 10 errata-xmlrpc 2012-12-18 17:35:23 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1580 https://rhn.redhat.com/errata/RHSA-2012-1580.html
Comment 11 errata-xmlrpc 2013-03-06 14:24:59 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0566 https://rhn.redhat.com/errata/RHSA-2013-0566.html